## org.eclipse.datatools.connectivity
Interface IConnectionProfileProvider

public interface IConnectionProfileProvider

This interface is used for accessing functionality provided by a connection profile extension.

Author:
  rcernich Created on Jan 14, 2004

Method Summary
`ICategory` `getCategory()` The category this connection profile belongs to.
`IConfigurationType` `getConfigurationType()` The configuration type of this connection profile.
`java.util.Map` `getConnectionFactories()` This method returns all the connection factories associated with this connection profile.
`IConnectionFactoryProvider` `getConnectionFactory(java.lang.String type)` This method returns a connection factory object that corresponds to the type specified.
`java.lang.String` `getFileExtension()` The file extension associated with workspace resources of this connection profile type.
`java.net.URL` `getIconURL()`
`java.lang.String` `getId()`
`java.lang.String` `getName()`
`java.util.Map` `getProfileExtensions()` This method returns all the profile extensions associated with this connection profile.
`boolean` `needsMaintainConnection()` This property is used to determin whether we enable "Connect" or "Disconnect" for a connection profile.

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    the name of this connection profile provider

### getId

    public java.lang.String getId()

  Returns:
    the id of this connection profile provider

### getIconURL

    public java.net.URL getIconURL()

  Returns:
    the URL for the icon of this connection profile provider

### getConnectionFactory

    public IConnectionFactoryProvider getConnectionFactory(java.lang.String type)

  This method returns a connection factory object that corresponds to the type specified. The type must match the id of a connection factory extension.

  Parameters:
    `type` - the type or id of a connection factory associated with this connection profile type.
  Returns:
    a connection factory provider. null if no factory exists with the specified type.

### getConnectionFactories

    public java.util.Map getConnectionFactories()

  This method returns all the connection factories associated with this connection profile. The data is returned in a Map object as follows: (String id,IConnectionFactoryProvider provider)

  Returns:
    the connection factories defined for this connection profile

### getProfileExtensions

    public java.util.Map getProfileExtensions()

  This method returns all the profile extensions associated with this connection profile. The data is returned in a Map object as follows: (String id,IProfileExtensionProvider provider)

  Returns:
    the profile extensions defined for this connection profile

### getConfigurationType

    public IConfigurationType getConfigurationType()

  The configuration type of this connection profile.

  Returns:
    the configuration type supported by this connection profile

### getCategory

    public ICategory getCategory()

  The category this connection profile belongs to.

  Returns:
    the category this connection profile belongs to.

### getFileExtension

    public java.lang.String getFileExtension()

  The file extension associated with workspace resources of this connection profile type.

  Returns:
    the file extension of workspace resources belonging to this connection profile type.

### needsMaintainConnection

    public boolean needsMaintainConnection()

  This property is used to determin whether we enable "Connect" or "Disconnect" for a connection profile.

  Returns:
    true if the connection profile is responsible to maintain a connection.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.